@import url('./gfont-firesans/firesans.css');

:root {
    --color-transition-duration: 0;
}
html.lightMode{
    --background-color: #ffffff;
    --secondary-color: #ffffff;
    --panel-color:#ececec;
    --secondary-panel-color: rgb(255, 253, 248);
    --ai-messageBackground-color: rgb(245, 248, 251);
    --accent-color: rgb(0,80,159); /* LUH-Blau verwenden */
    --text-color:rgb(40,40,40);
    --link-color: rgb(40,40,40);
    --invertText-color:#f6f9fc;
    --invertPanel-color:rgb(40,40,40);
    --buttonText-color: #ffffff;
}
html.darkMode{
    --background-color: rgb(25,25,25);
    --secondary-color: rgb(30,30,30);
    --panel-color:rgb(40, 40, 40);
    --secondary-panel-color: rgb(32, 32, 32);
    --ai-messageBackground-color: rgb(30,30,30);
    --accent-color: #ffffff;
    --text-color: #ffffff;
    --link-color: #ffffff;
    --invertText-color:rgb(40,40,40);
    --invertPanel-color:#f6f9fc;
    --buttonText-color: rgb(40,40,40);
}

* {
    scrollbar-width: 0px;
    -ms-overflow-style: none;
    font-family: "Fira Sans", sans-serif;
    line-height: 1.5;
    box-sizing: border-box;

    transition: background-color var(--color-transition-duration);
    -webkit-transition: background-color var(--color-transition-duration);
    -moz-transition: background-color var(--color-transition-duration);
    -o-transition: background-color var(--color-transition-duration);
}

body {
    overflow: hidden;
    -ms-overflow-style: none;
    font-family: "Fira Sans", sans-serif;
    color: var(--text-color);
    background-color: var(--background-color);
}

a {
    text-decoration: none;
    color: var(--link-color);
}

button.luh-btn {
    align-self: flex-start;
    width: max-content;
    min-width: 10rem;
    margin-top: 1rem;
    padding: 0.75rem 2rem 0.75rem 2rem;
    background: var(--accent-color);
    color: var(--buttonText-color);
    border: 0;
    font-weight: 500;
    font-family: inherit;
    cursor: pointer;
    font-size: 1rem;
    border-radius: 0;
}

/* Size of logo on interface page */
#HAWK_logo {
    max-width: 8rem;
    height: auto;
}


small {
    font-weight: 300;
    font-size: 1rem;
}

strong {
    font-weight: 700;
}

.accentText {
    text-decoration: underline;
    text-decoration-color: var(--accent-color);
    -webkit-text-decoration-color: var(--accent-color);
    text-underline-offset: 5px;
}

.security-page{
    background-color: var(--background-color);
    color: var(--text-color);
}

#data-protection.hide{
    display: none;
}
#sidebar {
    position: relative;
    box-shadow: 0 0 2rem rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 0 0 2rem rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 0 2rem rgba(0, 0, 0, 0.1);
}

body .sidebar{
    border-radius: 0;
}
body .image_preview_container{
    border-radius: 0;
}
@media (max-width: 768px) {

    body#interface .sidebar {
        padding-top: 100px;
    }

    .sidebar .logo {
        display: none;
    }

    #sidebar.mobile-hidden {
        display: none;
    }

    #main.mobile-hidden {
        display: none;
    }

    body#interface .messages {
        padding-top: 100px;
    }
}

body#interface .sidebar {
    height: calc(100vh);
    overflow: auto;
}



.container .no-padding[class*="col-"],
.container-fluid .no-padding[class*="col-"] {
    padding-left: 0;
    padding-right: 0;
}

.main {
    display: block;
    height: calc(100vh);
}

body#interface .input-container-wrapper {
    bottom: 0;
    width: 100%;
    position: sticky;
}

body#interface .input-container {}

body#interface .messages {
    /*position: absolute;
    bottom: 120px;
    */
    height: calc(100vh - 160px);
    overflow: auto;
}

/*

body#interface .sidebar {
    position: sticky;
    top: 4rem;
    z-index: 1000;
    height: calc(100vh);
}

.input-container-wrapper{
    position: absolute;
    bottom: 0;
    width: 100%;
}
.input-container-wrapper .input-container{
    position: sticky;
}
*/
@media (min-width: 768px) {

    #interface .navbar {
        display: none;
    }
}

.wrapper.wrapper--logout {
    background-image: none;
}

#login .wrapper {
    background-image: url("../img/Plasitkbaenke_im_Welfengarten.jpg");
    background-repeat: no-repeat;


    /* Center and scale the image nicely */
    background-position: center;
    background-size: cover;
}

.darkMode .sidebar {
    background-color: #000;
    padding: 30px;
}

.sidebar {
    background-color: #fff;
    padding: 30px;
}

body .settings-panel {
    border-radius: 0;
}

.settings-panel h1,
h2 {
    font-family: "Fira Sans", sans-serif;
    line-height: 1.5;
}

body a,
body#interface a {
    color: #000;
}


.settings-modal h1 {
    font-size: 32px;
}


.settings-modal h3 {
    font-size: 18px;
}

.settings-modal h1,
.settings-modal h2,
.settings-modal h3 {
    font-weight: 700;
}

#LUH_logo_wide{
    max-width: 10rem; /* LUH-Logo etwas vergrößern */
    margin-bottom: 2rem;
}
#LUH_logo1 {
    /*width: 151px;
    height: 48px;*/
    max-width: 10rem; /* LUH-Logo etwas vergrößern */
    margin-bottom: 2rem;
}

@media (max-width: 768px) and (min-width: 460px) {
    #LUH_logo2 {
        display: none;
    }
}

@media (max-width: 460px) {
    #LUH_logo1 {
        display: none;
    }
}

#LUH_logo2 {
    width: 48px;
}

#btn-show-menu[data-active="true"] {
    background-color: #d70000;
}

#btn-show-menu[data-active="false"] .active {
    display: none;
}

#btn-show-menu[data-active="true"] .inactive {
    display: none;
}

.navbar-brand #HAWK_logo {
    max-width: 12rem;
    margin-bottom: 0;
}

.darkMode body#interface a,
.darkMode .luh-body a,
.darkMode .luh-body h1,
.darkMode .luh-body h2,
.darkMode .luh-body h3,
.darkMode .luh-body h4,
.darkMode .luh-body h5,
.darkMode .luh-body p

{
    color: #fff;
}

.darkMode #btn-show-menu .active {
    color: #fff;
}

#login .app-logo{
    width: 220px;
}
